net.sf.jasperreports.components.map.fill

## Class FillItem

- java.lang.Object
- - net.sf.jasperreports.components.map.fill.FillItem

- All Implemented Interfaces:
    java.lang.Cloneable, Item, JRCloneable
  Direct Known Subclasses:
    FillPlaceItem, FillStyleItem

      public abstract class FillItem
      extends java.lang.Object
      implements Item

  Version:
    $Id: FillItem.java 6688 2013-11-06 14:27:23Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `evaluatedProperties`
    `protected Item` | `item`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillItem(Item item, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `void` | `evaluateProperties(JRFillExpressionEvaluator evaluator, byte evaluation)`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getEvaluatedProperties()`
    `java.lang.Object` | `getEvaluatedValue(ItemProperty property, JRFillExpressionEvaluator evaluator, byte evaluation)`
    `java.util.List<ItemProperty>` | `getProperties()` Returns a list of `ItemProperty` objects.
    `abstract void` | `verifyValue(ItemProperty property, java.lang.Object value)`
    `abstract void` | `verifyValues(java.util.Map<java.lang.String,java.lang.Object> result)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### item

          protected Item item

    - #### evaluatedProperties

          protected java.util.Map<java.lang.String,java.lang.Object> evaluatedProperties

  - ### Constructor Detail

    - #### FillItem

          public FillItem(Item item,
                  JRFillObjectFactory factory)

  - ### Method Detail

    - #### evaluateProperties

          public void evaluateProperties(JRFillExpressionEvaluator evaluator,
                                byte evaluation)
                                  throws JRException

      Throws:
        `JRException`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getProperties

          public java.util.List<ItemProperty> getProperties()

      Description copied from interface: `Item`
      Returns a list of `ItemProperty` objects. Each item property provides a name-value pair.
      Specified by:
        `getProperties` in interface `Item`
      Returns:
        a list of item properties
      See Also:
        `ItemProperty`

    - #### getEvaluatedProperties

          public java.util.Map<java.lang.String,java.lang.Object> getEvaluatedProperties()

    - #### getEvaluatedValue

          public java.lang.Object getEvaluatedValue(ItemProperty property,
                                           JRFillExpressionEvaluator evaluator,
                                           byte evaluation)
                                             throws JRException

      Throws:
        `JRException`

    - #### verifyValue

          public abstract void verifyValue(ItemProperty property,
                         java.lang.Object value)
                                    throws JRException

      Throws:
        `JRException`

    - #### verifyValues

          public abstract void verifyValues(java.util.Map<java.lang.String,java.lang.Object> result)
                                     throws JRException

      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com